#### D.4.18.11 isirreducibleMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  isirreducibleMon(I); I ideal

Return:
  1, if I is irreducible; 0, otherwise.
  (return -1 if I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^4,x^3,z^2,t^5;
    isirreducibleMon (I);
    ==> 1
    ideal J = w^4*x,x^3,z^2,t^5;
    isirreducibleMon (J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.